package asteroids;

public class Position {
	private float x;
	private float y;
 
	public Position() {
		x = 0;
		y = 0;
	}
 
	public Position(Position other) {
		this.x = other.x;
		this.y = other.y;
	}
 
	public Position(float xn, float yn) {
		x = xn;
		y = yn;
	}
 
	public float distance(Position other) {
		float xDist = this.x - other.x;
		float yDist = this.y - other.y;
		
		double dist = Math.sqrt(xDist * xDist + yDist * yDist);
		
		return (float)dist;
	}
 
	public void translate(float xt, float yt) {
		x += xt;
		y += yt;
	}
	
	public void print() {
		System.out.println("(" + x + ", " + y + ")");
	}
	
	public static void main(String[] args) {
		Position p1 = new Position();
		Position p2 = new Position(3f, 4f);
		
		p1.translate(2, 1);
		
		float dist = p1.distance(p2);
		
		System.out.println(dist);
		
		p1.print();
	}
}