package complex;

public class Complex {
    private float realPart_;
    private float imaginaryPart_;
 
    public Complex() {
        realPart_ = 0;
        imaginaryPart_ = 0;
    }
 
    public Complex(float rePart) {
        realPart_ = rePart;
        imaginaryPart_ = 0f;
    }
 
    public Complex(float rePart, float imPart) {
        realPart_ = rePart;
        imaginaryPart_ = imPart;
    }
 
    public Complex add(Complex other) {
        float rePart = this.realPart_ + other.realPart_;
        float imPart = this.imaginaryPart_ + other.imaginaryPart_;
        Complex retval = new Complex(rePart, imPart);
        return retval;
    }
 
    public Complex multiply(Complex other) {
    	float rePart = this.realPart_ * other.realPart_ - 
    			this.imaginaryPart_ * other.imaginaryPart_;
        float imPart = this.realPart_ * other.imaginaryPart_ + 
        		this.imaginaryPart_ * other.realPart_;
        Complex retval = new Complex(rePart, imPart);
        return retval;
    }
    
    public void print() {
    	System.out.println(realPart_ + " + " + imaginaryPart_ + "i");
    }
    
    public static void main(String[] args) {
		Complex c1 = new Complex(5);
		Complex c2 = new Complex(3, -2);
		Complex c3;
		c3 = c1.add(c2);
		
		c3.print();
	}
}