package complex;

public class ComplexVector {
    private Complex[] coords_;
    private int dimension_;
 
    public ComplexVector(int dim) {
        dimension_ = dim;
        coords_ = new Complex[dimension_];
    }
 
    public ComplexVector(ComplexVector other) {
        this.coords_ = other.coords_.clone();
        this.dimension_ = other.dimension_;
    }
 
    public ComplexVector add(ComplexVector other) {
        ComplexVector retval = new ComplexVector(this.dimension_);
        for (int i = 0; i < retval.coords_.length; i++) {
            retval.coords_[i] = this.coords_[i].add(other.coords_[i]);
        }
        return retval;
    }
    
    public Complex multiply(ComplexVector other) {
    	Complex retval = new Complex();
    	
    	for (int i = 0; i < this.dimension_; i++) {
    		Complex mult = this.coords_[i].multiply(other.coords_[i]);
    		retval = retval.add(mult);
    	}
    	
    	return retval;
    }
    
    public void print() {
    	for (Complex c : coords_) {
    		c.print();
    	}
    }
    
    public static void main(String[] args) {
		ComplexVector cv = new ComplexVector(3);
		
		cv.coords_[0] = new Complex(1, 2);
		cv.coords_[1] = new Complex(2, -4);
		cv.coords_[2] = new Complex(1);
		
		Complex sk = cv.multiply(cv);
		
		cv.print();
	}
}